POST V1/ProAdminAccountReceivables.{ext}/Invoices

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.InvoiceEntity
NameDescriptionTypeAdditional information
InvoiceNbr

No description available

string

None.

ProductId

No description available

integer

None.

Partner

No description available

integer

None.

Client

No description available

integer

None.

Month

No description available

string

None.

Status

No description available

string

None.

Year

No description available

string

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "invoiceNbr": "sample string 1",
  "productId": 2,
  "partner": 3,
  "client": 4,
  "month": "sample string 5",
  "status": "sample string 6",
  "year": "sample string 7",
  "fromDate": "sample string 8",
  "toDate": "sample string 9"
}

application/xml, text/xml

Sample:
<InvoiceEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <Client>4</Client>
  <FromDate>sample string 8</FromDate>
  <InvoiceNbr>sample string 1</InvoiceNbr>
  <Month>sample string 5</Month>
  <Partner>3</Partner>
  <ProductId>2</ProductId>
  <Status>sample string 6</Status>
  <ToDate>sample string 9</ToDate>
  <Year>sample string 7</Year>
</InvoiceEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.